astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- VOTable XML handling (`astropy.io.votable`) »
- Values

# Values

class `astropy.io.votable.tree.``Values`(votable, field, ID=None, null=None, ref=None, type=u'legal', id=None, config={}, pos=None, **extras)

  Bases: `astropy.io.votable.tree.Element`, `astropy.io.votable.tree._IDProperty`

  VALUES element: used within FIELD and PARAM elements to define the domain of values.

  The keyword arguments correspond to setting members of the same name, documented below.

  Attributes Summary

  `max` | The maximum value of the domain.
  `max_inclusive` | When `True`, the domain includes the maximum value.
  `min` | The minimum value of the domain.
  `min_inclusive` | When `True`, the domain includes the minimum value.
  `null` | For integral datatypes, null is used to define the value used for missing values.
  `options` | A list of string key-value tuples defining other OPTION elements for the domain.
  `ref` | Refer to another VALUES element by ID, defined previously in the document, for MIN/MAX/OPTION information.
  `type` | [required] Defines the applicability of the domain defined

  Methods Summary

  `from_table_column`(column) |
  `is_defaults`() |
  `parse`(iterator, config) |
  `to_table_column`(column) |
  `to_xml`(w, **kwargs) |

  Attributes Documentation

  `max`

    The maximum value of the domain. See `max_inclusive`.

  `max_inclusive`

    When `True`, the domain includes the maximum value.

  `min`

    The minimum value of the domain. See `min_inclusive`.

  `min_inclusive`

    When `True`, the domain includes the minimum value.

  `null`

    For integral datatypes, null is used to define the value used for missing values.

  `options`

    A list of string key-value tuples defining other OPTION elements for the domain. All options are ignored – they are stored for round-tripping purposes only.

  `ref`

    Refer to another VALUES element by ID, defined previously in the document, for MIN/MAX/OPTION information.

  `type`

    [required] Defines the applicability of the domain defined by this VALUES element. Must be one of the following strings:

    > - ‘legal’: The domain of this column applies in general to this datatype. (default)
    > - ‘actual’: The domain of this column applies only to the data enclosed in the parent table.

  Methods Documentation

  `from_table_column`(column)
  `is_defaults`()
  `parse`(iterator, config)
  `to_table_column`(column)
  `to_xml`(w, **kwargs)